curl --request GET \
--url https://api.cal.com/v2/organizations/{orgId}/routing-forms \
--header 'Authorization: <authorization>'import requests
url = "https://api.cal.com/v2/organizations/{orgId}/routing-forms"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.cal.com/v2/organizations/{orgId}/routing-forms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": [
{
"name": "My Form",
"description": "This is the description.",
"position": 0,
"createdAt": "2024-03-28T10:00:00.000Z",
"updatedAt": "2024-03-28T10:00:00.000Z",
"userId": 2313,
"teamId": 4214321,
"disabled": false,
"id": "<string>",
"routes": {},
"fields": {},
"settings": {}
}
]
}Get organization routing forms
Required membership role: org admin. PBAC permission: routingForm.readOrgRoutingForms. Learn more about API access control at https://cal.com/docs/api-reference/v2/access-control. If accessed using an OAuth access token, the ORG_ROUTING_FORM_READ scope is required.
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Path Parameters
Query Parameters
Number of responses to skip
Number of responses to take
Sort by creation time
asc, desc Sort by update time
asc, desc Filter by responses created after this date
Filter by responses created before this date
Filter by responses created after this date
Filter by responses updated before this date
Filter by responses routed to a specific booking
Filter by teamIds. Team ids must be separated by a comma.
1"?teamIds=100,200"
Was this page helpful?